<template>
  <div>
    <h1 class="mb-8">Do you have any allergies?</h1>
    <div class="space-y-3 mb-5">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        :input-value="choice.value"
        v-model="radioSelected.value"
        :has-free-answer="choice.hasFreeAnswer"
        :text-value="radioSelected.freeAnswer"
        @textInput="val => radioSelected.freeAnswer = val"
      >
        {{ choice.value }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected.value"
      @click="nextStage"
      text="Save and continue"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin],
  name: "YourHealth22",
  data() {
    return {
      choices: [
        {
          value: 'No',
        },
        {
          value: 'Yes',
          hasFreeAnswer: true
        }
      ],
      radioSelected: {
        value: '',
        freeAnswer: '',
      },
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_22')
      }
    }
  }
}
</script>

<style scoped>

</style>
